org.apache.jorphan.util

## Class ThreadDumper

- java.lang.Object
- - org.apache.jorphan.util.ThreadDumper

-     public class ThreadDumper
      extends java.lang.Object

  Utility class to create a Thread Dump
  Since:
    3.2

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `threadDump()`
    `static java.lang.String` | `threadDump(java.io.File basedir)`
    `static void` | `writeThreadDump(java.io.Writer writer)` Write Thread Dump

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### threadDump

          public static java.lang.String threadDump()
                                             throws java.lang.Exception

      Returns:
        Name of file containing thread dump
      Throws:
        `java.lang.Exception` - if file cannot be written

    - #### threadDump

          public static java.lang.String threadDump(java.io.File basedir)
                                             throws java.lang.Exception

      Parameters:
        `basedir` - `File` Base directory
      Returns:
        Name of file containing thread dump
      Throws:
        `java.lang.Exception` - if file cannot we written

    - #### writeThreadDump

          public static void writeThreadDump(java.io.Writer writer)
                                      throws java.io.IOException

      Write Thread Dump
      Parameters:
        `writer` - `Writer`
      Throws:
        `java.io.IOException` - if file cannot be written

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.